Groovy 1.7.10

## org.codehaus.groovy.tools.shell.util
[Java] Class Logger

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.Logger

    public final class Logger
    extends Object

Provides a very, very basic logging API.

Authors:
  Jason Dillon

Version:
  \$Id: Logger.java 18634 2009-12-12 12:04:57Z paulk \$

Field Summary
`static IO` | `io`
`String` | `name`

Method Summary
`static Logger` | `create(Class type)`
`static Logger` | `create(Class type, String suffix)`
`void` | `debug(Object msg)`
`void` | `debug(Object msg, Throwable cause)`
`void` | `error(Object msg)`
`void` | `error(Object msg, Throwable cause)`
`boolean` | `isDebug()`
`boolean` | `isDebugEnabled()`
`void` | `warn(Object msg)`
`void` | `warn(Object msg, Throwable cause)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### io

    public static IO io

### name

    public final String name

Method Detail

### create

    public static Logger create(Class type)

### create

    public static Logger create(Class type, String suffix)

### debug

    public void debug(Object msg)

### debug

    public void debug(Object msg, Throwable cause)

### error

    public void error(Object msg)

### error

    public void error(Object msg, Throwable cause)

### isDebug

    public boolean isDebug()

### isDebugEnabled

    public boolean isDebugEnabled()

### warn

    public void warn(Object msg)

### warn

    public void warn(Object msg, Throwable cause)

Copyright © 2003-2010 The Codehaus. All rights reserved.